package com.vetti.common.enums.command;

/**
 * 车辆状态
 */
public enum CarStatusEnum {

    COMPLIANT("Compliant", "Compliant"),
    INSPECTION_DUE("inspectionDue", "InspectionDue"),
    SERVICE_REQUIRED("serviceRequired", "ServiceRequired"),
    UNCHECKED("unchecked", "Unchecked"),

    ;

    private final String code;
    private final String info;

    CarStatusEnum(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }

}
